import { SVGGSelection } from "./Charting";
import { AbstractUiLineChartDataDisplay } from "./AbstractUiLineChartDataDisplay";
import { TimeGraphDataStore } from "./TimeGraphDataStore";
import { UiLineChartDataDisplayGroupConfig } from "../../generated/UiLineChartDataDisplayGroupConfig";
import { ScaleTime } from 'd3';
export declare class UiLineChartDataDisplayGroup extends AbstractUiLineChartDataDisplay<UiLineChartDataDisplayGroupConfig> {
    private dropShadowFilterId;
    private $main;
    private $yZeroLine;
    private dataDisplays;
    constructor(timeGraphId: string, config: UiLineChartDataDisplayGroupConfig, $container: SVGGSelection, // TODO append outside!! https://stackoverflow.com/a/19951169/524913
    dropShadowFilterId: string, dataStore: TimeGraphDataStore);
    updateZoomX(zoomLevelIndex: number, scaleX: ScaleTime<number, number>): void;
    private initDomNodes;
    protected doRedraw(): void;
    setScaleYRange(range: [number, number]): void;
    setConfig(lineFormat: UiLineChartDataDisplayGroupConfig): void;
    readonly yScaleWidth: number;
    getDataSeriesIds(): string[];
    destroy(): void;
}
